#if !defined(AFX_GSSETUPDLG_H__FCB83A57_E088_48DB_B73B_95BA0045D0D9__INCLUDED_)
#define AFX_GSSETUPDLG_H__FCB83A57_E088_48DB_B73B_95BA0045D0D9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"
#include <AplGuiEx.h>
// GSSetupDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGSSetupDlg dialog
class CReportSection;
class CGroupCol;

class CGSSetupDlg : public CaplTranslateDialog
{
// Construction
public:
	CGroupColArray		m_added_group_cols;
	CSortColumnArray	m_added_sort_cols;
	CArray<CSortColumn*, CSortColumn*> m_deleted_sort_cols;
	CArray<CGroupCol*, CGroupCol*> m_deleted_group_cols;
	CReportSection* m_section;
	CGSSetupDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CGSSetupDlg)
	enum { IDD = IDD_GS_SETUP_DLG };
	CaplStaticImage	m_ImageCtrl;
	CaplButton	m_sDel_btn;
	CaplButton	m_sAdd_btn;
	CaplButton	m_gDel_btn;
	CaplButton	m_gAdd_btn;
	CaplButton	m_up_s_btn;
	CaplButton	m_down_s_btn;
	CaplButton	m_down_g_btn;
	CaplButton	m_up_g_btn;
	CaplButton	m_ok_btn;
	CaplButton	m_cancel_btn;
	CListBox	m_sort_list;
	CListBox	m_groups_list;
	CListBox	m_columns_ds;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGSSetupDlg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGSSetupDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnGAdd();
	afx_msg void OnGDel();
	afx_msg void OnGUp();
	afx_msg void OnGDown();
	afx_msg void OnSAdd();
	afx_msg void OnSDel();
	afx_msg void OnSUp();
	afx_msg void OnSDown();
	afx_msg void OnDblclkLGroups();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnDblclkLSort();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GSSETUPDLG_H__FCB83A57_E088_48DB_B73B_95BA0045D0D9__INCLUDED_)
